/**
 * The `pn-accordion` is a wrapper for `pn-accordion-row` components.
 * This component gives the accordion rows some space between each one and provides the `single` feature.
 * Which will force the rule that only a single row to be open at one time.
 */
export declare class PnAccordion {
    mo?: MutationObserver;
    closeEvent: CustomEvent<boolean>;
    hostElement: HTMLElement;
    /** Only allow a single row to be open at once. @since v7.8.0 */
    single: boolean;
    /** Optional prop that removes the default white background on the accordion row. @since v7.10.0 */
    transparent: boolean;
    connectedCallback(): void;
    disconnectedCallback(): void;
    handleSingleRow({ detail }: {
        detail: any;
    }): void;
    render(): any;
}
